% Plot in figure number 'figure_no' travel times from several shot numbers in row 'shot_no' 
% The different shots are plotted in subplots

function plot_tt_shot(figure_no, shot_no)
  
  global survey xi yi ttime xgrid ygrid src_station

  figure(figure_no)
  clf 
  
  n = length(shot_no);    % number of shots
  
  for i=1:n
    sht = shot_no(i);
    
    subplot(1,n,i)
    hold on

	% use our function plotting arbitrary values on a map of receiver coordinates
  
    plot_map_rec(1:rows(survey.lst_station),ttime(sht,:))

        %crd = src_station(sht)   % test printout

    plot(src_station(sht,5),src_station(sht,6),'kx')
  
    xlabel('X'); 
    ylabel('Y');
    title(sprintf('Travel Times For Shot %d',sht));
    axis('equal')
  end
  
end
