global survey xi yi ttime xgrid ygrid src_station

%% load the survey and modeled travel times modeled in 'process.m'

load lab4.mat 
load layout.mat

%% Task 5
%% By using the precomputed lists of offsets and travel times for shots,
%% and my function gather_common_azimuth(...), extract 2-3 common-azimuth 
%% cross-sections of the first-arrival travel times.
%% For example, use the the same shots as selected in process.m. 
%% Try selecting several azimuths so that the extracted lines pass or do not pass
%% over the anomaly at the center of the survey area.
%%
%% Plot the travel times in the same plot. 
%% See whether they make sense.
%% In the headwave portions of the graphs, do you see the bump in the refractor?
%% In which shots?
 
figure(5)
clf

[ tt1, dist1, offset1, rec1 ] = gather_common_azimuth(106,45,4);
plot(offset1,tt1)

 
%% Task 6
%% Make plots of common-offset travel times

% These plots show the recorded (modeled) first-arrival travel times at the
% given source-receiver distance 'offset', for profiles oriented as shown
% in plot titles. The travel times are shown at the positions of the sources.
% Thus, a lower value (blue) means that for a source in this area, the time
% is smaller than nearby. This shoudl be due to the shallower refractor in this area
% )smaller headwave travel-time delay).

% Note that in the plots, you will see TWO low-delay areas (blue): the target one at the
% center (this is the source delay) and its counterpart by reciprocity (receiver delay).

% Try varying the following 'offset' around this value to see 
% whether you can make plots showing the uplift at the center of the area.

% This offset should be greater than the crossover distance, but the target 
% is not covered by larger offsets (see the new plots in process.m)
 
% this is actually difficult to achieve because the available offsets are a bit
% too small. This is why I reduced the target depth to h = 6 m (to shorten the crossover distances). 
% Try several values and select the best one for covering the central area?


offset = 18;	

maxdist = 4;	% you probably don't need to change this distance,
		% which is used to collect receivers into lines
		
figure(6)
clf

	% make subplots for azimuths 0, 90, 180, and 270 deg

subplot(2,2,1)
[ tt, src ] = map_common_offset(0,offset,maxdist);
plot_map_src(src,tt)		% again using the function for ploting 
				% arbitarry source attributes

xlabel('X');
ylabel('Y');
title('Common-offset times at az=0 deg');
set(gca,'Ydir','normal')

subplot(2,2,2)
[ tt, src ] = map_common_offset(90,offset,maxdist);
plot_map_src(src,tt)

xlabel('X');
ylabel('Y');
title('Common-offset times at az=90 deg');
set(gca,'Ydir','normal')

subplot(2,2,3)
[ tt, src ] = map_common_offset(180,offset,maxdist);
plot_map_src(src,tt)

xlabel('X');
ylabel('Y');
title('Common-offset times at az=180 deg');
set(gca,'Ydir','normal')

subplot(2,2,4)
[ tt, src ] = map_common_offset(270,offset,maxdist);
plot_map_src(src,tt)

xlabel('X');
ylabel('Y');
title('Common-offset times at az=270 deg');
set(gca,'Ydir','normal')
  
